Bug 201927 - vnc gets the keyboard wrong
vnc gets the keyboard wrong
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
: 171647 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-08-09 16:19 EDT by Need Real Name
Modified: 2013-03-05 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-08-09 16:19:37 EDT
box1: german, fc5
box2: german, fc5

user@box1$ ssh -X box2
user@box2$ vncviewer localhost

Non-ascii keys are mapped incorrectly.

"-" on german keyboard incorrectly shows as ß in vnc
umlauts ö and ä do not work
the @ sign shows as an 1/8th symbol
Comment 1 Need Real Name 2006-08-09 16:20:31 EDT
Ah, previously reported as bug 171647.
Comment 2 Need Real Name 2006-08-09 16:21:08 EDT
*** Bug 171647 has been marked as a duplicate of this bug. ***
Comment 3 Need Real Name 2006-08-09 16:21:18 EDT
Comment 4 Craig McQueen 2006-08-20 00:04:34 EDT
I've had the same problem with Dvorak keyboard, talking to a host using vino.
The problem seems to be that the keyboard mapping can be done at both ends of
the connection, if the Dvorak keyboard is selected at both ends.

The local end maps the Dvorak keyboard, and sends the resulting characters
across the link. The remote end receives the characters, maps them AGAIN
according to the Dvorak keyboard mapping, and produces rubbish.

To get around that problem, I make sure the local end has the Dvorak keyboard
mapping, and the remote end has standard QWERTY. But it's a pain.
Comment 5 Adam Tkac 2006-09-02 13:41:17 EDT
I can't reproduce this bug with vnc-4.1.1-39. German and Dvorak keyboards work
correctly. I think it isn't a bug. Make sure that remote host and your machine
have same keyboard mapping
Comment 6 Need Real Name 2006-09-02 13:45:10 EDT
(In reply to comment #5)
> I can't reproduce this bug with vnc-4.1.1-39.
I can.

> German and Dvorak keyboards work
> correctly. I think it isn't a bug. Make sure that remote host and your machine
> have same keyboard mapping

Why? Why would the remote keyboard mapping need to be the same? It is, but I
don't see why that's relevant here..

Comment 7 Need Real Name 2006-09-02 14:12:41 EDT
Ugh. Sorry, wrong bug.

The keyboard mapping _is_ relevant, sorry about that.

But the mappings are identical, so..
Comment 8 Adam Tkac 2006-09-02 14:51:49 EDT
I think it's wrong configuration in your computer. Make sure you have same
version of vncviewer and remote's vncserver. If you have configured your
keyboard in /etc/X11/xorg.conf correctly problem could be using xmodmap utility.
Visit thread http://www.realvnc.com/pipermail/vnc-list/2003-February/037513.html
Comment 9 Need Real Name 2006-09-03 07:36:04 EDT
As you can see from my first comment, the boxes are identical, and both have
german keyboard mappings.

Could you please try the steps in the first comment, which involves ssh.
Comment 10 Adam Tkac 2006-10-04 06:50:39 EDT
I'm using Gnome manager and the problem is only when I'm connecting to desktop
:0 (default XServer desktop). When you set us keyboard on machine 1 and german
kbd on machine 2 all works fine. Please try to create vncserver on other
desktops then :0 and when you sets same kbds all works fine. I think the main
problem is in communication between vino (gnome remote desktop) and vncviewer...
Comment 12 Adam Tkac 2006-11-22 12:00:30 EST
Problem is on vino side, not on vncviewer. Reassign to proper component
Comment 13 Bug Zapper 2008-04-03 23:29:22 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 12:12:52 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.